import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/cyzh-billRecord/billrecord/page',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/cyzh-billRecord/billrecord/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/cyzh-billRecord/billrecord/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/cyzh-billRecord/billrecord/adSave',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/cyzh-billRecord/billrecord/submit',
    method: 'post',
    data: row
  })
}

export const gatewayPay =(row) =>{
  return request({
    url: '/api/cyzh-billRecord/billrecord/gatewayPay',
    method: "post",
    data: row
  })
}

export const getBussinessList = (current, size, params) => {
  return request({
    url: '/api/cyzh-billRecord/billrecord/getBussinessList',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const billStat = (params) => {
  return request({
    url: '/api/cyzh-billRecord/billrecord/billStat',
    method: 'get',
    params: {
      ...params,
    }
  })
}



